
Redmine - Feature #11718

If you add a watcher to an issue, they should have rights to view it.

2012-08-28 00:20 - William Schey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hey Guys and Gals,

Redmine is awesome! I have been using it for a while and I have a slight mod. My issue is explained best by example:

Bob is a user

Bob only has permissions to see his issues or issues that have been assigned to him

I want to add Bob as a watcher to an issue so that he may see it (would be nice if he could also add comments/updates)

If I add Bob as a watcher, he does not see it because the issue is not assigned to him and he is not the creator

My fix is attached in the patch. This may not suite everyone but I thought I would share and ask for feedback.

Would people find this useful?

Related issues:

Is duplicate of Redmine - Feature #8488: Create an 'Involve' mechanism to pri... New

History

#1 - 2012-08-28 15:55 - William Roush

+1, though I think there is a related ticket on this.

#2 - 2012-09-08 09:13 - Jean-Philippe Lang

- Category set to Issues permissions

#3 - 2012-09-10 11:06 - fangzheng (方正)

Could it cause some rights issue?

I'm a developer of project A, and Bob is a developer of project B.

We should only see our respective projects, for some reasons.

Then I add Bob as a watcher to an issue of my project A (on purpose or not). If he has permissions to see the issue, he will also have the permissions

of my project A. That's dangerous, I think...

Please let me know if I misunderstand. Thanks!

#4 - 2014-03-10 09:09 - Luis Serrano Aranda

+1

#5 - 2014-04-01 04:28 - Toshi MARUYAMA

- Related to Feature #8488: Create an 'Involve' mechanism to private issues added

#6 - 2014-04-01 04:31 - Toshi MARUYAMA

- Related to deleted (Feature #8488: Create an 'Involve' mechanism to private issues)

#7 - 2014-04-01 04:32 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #8488.
https://www.redmine.org/issues/8488


#8 - 2014-04-01 04:32 - Toshi MARUYAMA

- Is duplicate of Feature #8488: Create an 'Involve' mechanism to private issues added

Files

watcher.patch 1.12 KB 2012-08-27 William Schey
